PUBLIB(3pub)

NAME
publib - introduction to publib

SYNOPSIS
#include <publib.h>

DESCRIPTION
publib is a library of C functions that are useful in many of programs. It is an extension to the Standard C library (as defined by the ISO/ANSI C standard 9899-1990). To use the functions in publib, #include <publib.h> and link with the libpub.a library (adding -lpub at the end of the link command should work, if the library has been installed properly).

The library provides functions for

string and memory area manipulation
memory allocation
I/O
comparison functions for qsort, bsearch, and others
expression evaluation

AUTHOR
Publib was originally written by Lars Wirzenius. It is now maintained by Antti-Juhani Kaijanaho (antti-juhani@kaijanaho.fi).